## NAME

v.label - Create paint labels for GRASS vector file and attached attributes.

## KEYWORDS

vector, paint labels

## SYNOPSIS

v.label
v.label help
v.label [-ac] map=name [type=string[,string,...]] [layer=integer] column=string labels=name [xoffset=float] [yoffset=float] [reference=string[,string,...]] [font=string] [size=float] [space=float] [fontsize=integer] [color=string] [rotation=angle] [width=float] [hcolor=string] [hwidth=float] [background=string] [border=string] [opaque=yes|no]

### Flags:

-a
  Rotate labels to align with lines
-c
  Curl labels along lines

### Parameters:

map=name
  Name of input vector map
type=string[,string,...]
  Type
  Options: point,line,boundary,centroid
  Default: point,line,boundary,centroid
layer=integer
  Layer number
  Default: 1
column=string
  Name of attribute column to be used for labels
labels=name
  Name for new paint-label file
xoffset=float
  Offset label in x-direction
  Default: 0
yoffset=float
  Offset label in y-direction
  Default: 0
reference=string[,string,...]
  Reference position
  Options: center,left,right,upper,lower
  Default: center
font=string
  Font name
  Default: standard
size=float
  Label size (in map-units)
  Default: 100
space=float
  Space between letters for curled labels (in map-units)
fontsize=integer
  Label size (in points)
  Options: 1-1000
color=string
  Text color
  Options: aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow
  Default: black
rotation=angle
  Rotation angle (degrees counter-clockwise from East)
  Options: 0-360
  Default: 0
width=float
  Border width (only for ps.map output)
  Default: 1
hcolor=string
  Highlight color for text
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow
  Default: none
hwidth=float
  Width of highlight coloring
  Default: 0
background=string
  Background color
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow
  Default: none
border=string
  Border color
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow
  Default: none
opaque=yes|no
  Opaque to vector (only relevant if background color is selected)
  Options: yes,no
  Default: yes

## DESCRIPTION

v.label makes a label-file from a GRASS vector file with labels created from attributes in the attached table.

## NOTES

If the fontsize option is given then the space option is determined automatically from the current display window, otherwise the space option should be set roughly the same as the size option.

A description of the labels file follows.

The file is located in `$MAPSET/paint/labels/`. The file is a plain-text ASCII file containing the following fields:

#### Caution: The following information may be incomplete, out of date, and wrong!

The label information that must be provided in the labels file is:

TEXT:
  Lines in multiple line labels will appear one above the next. More than one line of text can be specified by notating the end of a line with a '`\n`'.
  (e.g. `SPEARFISH\nSOUTH DAKOTA)`.
LOCATION:
  Determines where the text will be located on the image. The user specifies the easting and northing, and (optionally) specifies a vertical and horizontal offset from the specified easting/northing. These offsets are provided to allow finer placement of labels and are measured in local pixels. Thus in d.labels the offset is measured in screen pixels, and in ps.map the offset is measured in PostScript points (i.e. 1/72" steps).
PLACEMENT:
  Determines which part of the label to which the location refers. If placement is unspecified, the label is centered (center), by default. Label placement may be specified as:

      	lower left	(lower left corner of the text)
      	lower right	(lower right corner of the text)
      	lower center	(bottom center of the text)

      	upper left	(upper left corner of the text)
      	upper right	(upper right corner of the text)
      	upper center	(top center of the text)

      	center	(center of the text)

FONT:
  This specifies the font to use. The following fonts are available:

  `cyrilc gothgbt gothgrt gothitt greekc greekcs greekp greeks italicc italiccs italict romanc romancs romand romans romant scriptc scripts`

  The word standard can be used to specify the default font (which is romans).

  Note ps.map can override this setting to use other fonts; and d.labels can be used with d.font to change the default font, or d.font.freetype can be used to make the standard GRASS font something prettier.

TEXT SIZE:
  This determines the size of the letters. The size specifies the vertical height of the letters in meters on the ground. Thus text will grow or shrink depending on the scale at which the map is drawn. Alternatively fontsize can set the font size in normal font points.
TEXT COLOR:
  This selects the text color. If unspecified, the label's text is drawn in black, by default. The text color can be specified in one of four ways:
  1. By color name:
     aqua black blue brown cyan gray green grey indigo magenta orange purple red violet white yellow
  2. As red, green, blue percentages. for example: .5 .4 .7
     (This form is not supported by d.labels.)
  3. By printer color number to get the exact printer color.
     (This form is not supported by d.labels.)
  4. Specify none to suppress the lettering.
WIDTH:
  This determines the line thickness of the border box.
  (d.labels ignores this value and always uses 1.)
HIGHLIGHT COLOR:
  The text can be highlighted in another color so that it appears to be in two colors. The text is drawn first in this color at a wider line width, and then redrawn in the text color at the regular line width. No highlight color (none) is used, by default, if unspecified by the user. To specify use of no highlight color, specify none. (See TEXT COLOR above for a list of permissible color names.)
HIGHLIGHT WIDTH:
  Specifies how far from the text lines (in units of pixels) the highlight color should extend. The default highlight width is set to 0 (i.e., no highlight color).
BACKGROUND COLOR:
  Text may be boxed in a solid color by specifying a background color. Specify none for no background. The default background color setting, if unspecified by the user, is white. (See TEXT COLOR above for a list of permissible color names.)
BORDER COLOR:
  Select a color for the border around the background. Specify none to suppress the border. The default border color used, if unspecified, is black. (See TEXT COLOR above for a list of permissible color names.)
OPAQUE TO VECTORS:
  yes|no. This field only has meaning if a background color is selected. yes will prevent vector lines from entering the background. no will allow vector lines to enter the background. The default setting, if unspecified by the user, is yes.

## SEE ALSO

d.labels
ps.map

## AUTHOR

Philip Verhagen (original s.label)
Radim Blazek

Last changed: $Date: 2005/11/01 00:01:58 $

Main index - vector index - Full index